Storefronts
List storefront pages
GET
Scope: vod:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
OK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/storefronts'Example Response
{ "pages": [ { "id": "5dc406e3-945a-4477-8ded-dc9a19372f59", "name": "E2E Home", "slug": "e2e-home", "pageType": "home", "contentType": "mixed", "region": "US", "status": "draft", "refreshCadence": "weekly", "shelves": 3, "tiles": 16, "posters": [ "https://image.tmdb.org/t/p/w500/dXNAPwY7VrqMAo51EKhhCJfaGb5.jpg", "https://image.tmdb.org/t/p/w500/xlaY2zyzMfkhk0HSC5VUwzoZPU1.jpg" ], "topShelf": { "name": "E2E Staff Picks", "ctr": 0.09859154929577464 }, "lastPublishedAt": null, "stale": false, "updatedAt": "2026-10-22T11:04:05.539Z" } ], "counts": { "total": 1, "live": 0, "draft": 1, "paused": 0, "stale": 0, "promotions": 0 }}